# Class CircularVertex`Unindexed`

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- LayoutVertex
  - CircularVertex

This holds CircularLayout-specific information about Nodes.

This class inherits from LayoutVertex.

#####
Index

### Constructors

constructor

### Accessors

actualAngle
diameter

#####
Inherited Index

### Accessors

LayoutVertex.bounds
LayoutVertex.centerX
LayoutVertex.centerY
LayoutVertex.data
LayoutVertex.destinationEdges
LayoutVertex.destinationVertexes
LayoutVertex.edges
LayoutVertex.edgesCount
LayoutVertex.focus
LayoutVertex.focusX
LayoutVertex.focusY
LayoutVertex.height
LayoutVertex.network
LayoutVertex.node
LayoutVertex.sourceEdges
LayoutVertex.sourceVertexes
LayoutVertex.vertexes
LayoutVertex.width
LayoutVertex.x
LayoutVertex.y

### Methods

LayoutVertex.addDestinationEdge
LayoutVertex.addSourceEdge
LayoutVertex.commit
LayoutVertex.deleteDestinationEdge
LayoutVertex.deleteSourceEdge

## Constructors

### constructor

- new CircularVertex(network: CircularNetwork): CircularVertex

- #### Parameters

  - ##### network: CircularNetwork

  #### Returns CircularVertex

## Accessors

### actualAngle
: number

- Gets or sets the value used as the vertex's angle.

### diameter
: number

- Gets or sets the value used as the vertex's diameter.

  By default the value depends on the CircularLayout.arrangement property. Any computed value is cached, to avoid unnecessary expensive computations.

Copyright © 1998-2024 by Northwoods Software Corporation.